<template>
    <div>
        <v-progress-circular
            class="mb-4"
            :rotate="-90"
            :size="100"
            :width="15"
            :value="value"
            color="#833AB4">
            {{ value }}
        </v-progress-circular>
        <h1>
            {{ firstHeading }}
        </h1>
        <h1>{{ secondHeading }}</h1>
        <p class="mb-0">
            {{ paragraph }}
        </p>
    </div>
</template>

<script>
export default {
    name: 'GrowYourProfileBanner',
    data () {
        return {
            firstHeading: 'Ready To Grow Your',
            secondHeading: 'Instagram Profile?',
            paragraph: 'Try us for free with your 7 days free trial and see what we can offer you!',
            interval: {},
            value: 0
        }
    },
    beforeDestroy () {
        clearInterval(this.interval)
    },
    mounted () {
        this.interval = setInterval(() => {
            if (this.value === 100) {
                return (this.value = 0)
            }
            this.value += 10
        }, 1000)
    }
}
</script>

<style scoped>

</style>
